linux-mips
[Top] [All Lists]

Re: Cross Compiler again

To: Andre.Messerschmidt@infineon.com
Subject: Re: Cross Compiler again
From: "H . J . Lu" <hjl@lucon.org>
Date: Thu, 22 Nov 2001 10:17:51 -0800
Cc: linux-mips@oss.sgi.com
In-reply-to: <86048F07C015D311864100902760F1DD01B5E3CE@dlfw003a.dus.infineon.com>; from Andre.Messerschmidt@infineon.com on Thu, Nov 22, 2001 at 01:42:32PM +0100
References: <86048F07C015D311864100902760F1DD01B5E3CE@dlfw003a.dus.infineon.com>
Sender: owner-linux-mips@oss.sgi.com
User-agent: Mutt/1.2.5i
On Thu, Nov 22, 2001 at 01:42:32PM +0100, Andre.Messerschmidt@infineon.com 
wrote:
> 
> > May I ask why you want dwarf? FWIW, gcc 2.96 in my RedHat 7.1 mips port
> > supports dwarf, but not as default. I don't know how well it works with
> > dwarf. Yes, both cross compiler running on RedHat/x86 7.1/7.2 and
> > native compiler are provided in my mips port.
> > 
> I need dwarf support because my debugger only supports dwarf. (It is an
> integrated simulation environment, where I cannot change the debugger to
> gdb).
> 
> Do you have a download link for your mips port?
> 
> regards
> Andre

My mini-port of RedHat 7.1 is at

ftp://oss.sgi.com/pub/linux/mips/redhat/7.1/

you should be able to put a small RedHat 7.1 on the mips/mipsel box and
compile the rest of RedHat 7.1 yourselves.

Here are something you should know:

1. The cross compiler hosted on RedHat 7.1/ia32 is provided as a
toolchain rpm. The binary rpms for the mips and mipsel cross compilers
are included. You may need glibc 2.2.3-11 or above to use those
rpms. The glibc x86 binary rpms under RPMS/i386 should be ok.
2. You have to find a way to put those rpms on your machine. I use
network boot and NFS root to do it.
3. install.tar.bz2 has some scripts to prepare NFS root and install
RedHat 7.1 on a hard drive.
4. baseline.tar.bz2 contains the cross build tree.
5. Since everything is cross compiled from x86, which is little endian,
many data files for mips, which is big endian, are either missing or
wrong. To get those data files for mips, you have to rebuild/install
the folowing rpms:

cracklib
glibc

natively on Linux/mips.

Thanks.


H.J.

<Prev in Thread] Current Thread [Next in Thread>